/*
 * @Author: zc
 * @description 随手拍-统计查询
 */
import request from '@/utils/request';
/**
 * @description 获取网格员回复合计
 * @param {object} params
 */
export const getGridReplyCount = (params?: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/guider/reply',
		method: 'get',
		params,
	});
};
/**
 * @description 网格员回复合计导出
 * @param {object} data
 */
export const getGridReplyCountExport = (data: object) => {
	return request(
		{
			url: '/api/v1/SnapshotOrder/guider/reply/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍所有工单基础数据
 * @param {object} params
 */
export const getSSPAllBaseData = (params?: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/order/basedata',
		method: 'get',
		params,
	});
};
/**
 * @description 获取随手拍所有工单
 * @param {object} params
 */
export const getSSPAllOrder = (params?: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/order',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍所有工单导出
 * @param {object} data
 */
export const getSSPAllOrderExport = (data: object) => {
	return request(
		{
			url: '/api/v1/SnapshotOrder/order/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍统计基础数据
 * @param {object} params
 */
export const getSSPStatisticsBaseData = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/statistics/basedata',
		method: 'get',
		params,
	});
};
/**
 * @description 获取随手拍统计
 * @param {object} params
 */
export const getSSPStatistics = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/statistics',
		method: 'get',
		params,
	});
};
/**
 * @description 获取随手拍统计详情
 * @param {object} params
 */
export const getSSPStatisticsDetail = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/statistics/details',
		method: 'get',
		params,
	});
};
/**
 * @description 获取随手拍统计导出
 * @param {object} data
 */
export const getSSPStatisticsExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/statistics/details/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍市民红包审核统计
 * @param {object} params
 */
export const getSSPStatisticsCitizenRedEnvelopeApproval = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/redpack/audit',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍市民红包审核统计导出
 * @param {object} data
 */
export const getSSPStatisticsCitizenRedEnvelopeApprovalExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/redpack/audit/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍市民红包审核统计详情
 * @param {object} params
 */
export const getSSPStatisticsCitizenRedEnvelopeApprovalDetail = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/redpack/audit/details',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍市民红包审核统计详情导出
 * @param {object} data
 */
export const getSSPStatisticsCitizenRedEnvelopeApprovalDetailExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/redpack/audit/details/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍电气焊作业申报工单
 * @param {object} params
 */
export const getSSPStatisticsElectricalWelding = (params?: object) => {
	return request({
		url: '/api/v1/SnapshotOrder/order/electrogas',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍电气焊作业申报工单导出
 * @param {object} data
 */
export const getSSPStatisticsElectricalWeldingExport = (data: object) => {
	return request(
		{
			url: '/api/v1/SnapshotOrder/order/electrogas/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};
/**
 * @description 获取随手拍热点小类统计
 * @param {object} params
 */
export const getSSPStatisticsHotSpot = (params?: object) => {
	return request({
		url: '/api/v1/BiSnapshot/hotspot-statistics',
		method: 'get',
		params,
	});
};
/**
 * @description 随手拍热点小类统计导出
 * @param {object} data
 */
export const getSSPStatisticsHotSpotExport = (data: object) => {
	return request(
		{
			url: '/api/v1/BiSnapshot/hotspot-statistics/export_excel',
			method: 'post',
			data,
			responseType: 'blob',
		},
		{
			reduce_data_format: false,
		}
	);
};